## puppetserver 0.2.0

=== Makefile ===
prefix = /usr/local
datadir = $(prefix)/share
confdir = /etc
rubylibdir = $(shell ruby -rrbconfig -e "puts RbConfig::CONFIG['sitelibdir']")
rundir = /var/run
bindir = /usr/bin

puppet-server-release.jar:
	lein uberjar
	mv target/puppet-server-release.jar puppet-server-release.jar

install-puppetserver: puppet-server-release.jar
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver"
	install -m 0644 puppet-server-release.jar "$(DESTDIR)$(datadir)/puppetserver"
	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetserver/conf.d"
	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/puppetserver.conf"
	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetserver/bootstrap.cfg"
	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetserver/logback.xml"
	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/global.conf"
	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/webserver.conf"
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"
	install -m 0644 "ext/cli/puppetserver-env" "$(DESTDIR)$(datadir)/puppetserver/cli/puppetserver-env"
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli/apps"
	install -d -m 0755 "$(DESTDIR)$(bindir)"
	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"
	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
	install -d -m 0755 "$(DESTDIR)$(rundir)"


install-rpm-sysv-init: install-rpm-preinst
	install -d -m 0755 "$(DESTDIR)$(initdir)"
	install -m 0755 ext/redhat/init "$(DESTDIR)$(initdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(rundir)"

install-rpm-systemd: install-rpm-preinst
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(unitdir)"
	install -m 0755 ext/puppetserver.service "$(DESTDIR)$(unitdir)/puppetserver.service"

install-rpm-preinst:
	usermod -a -G puppet puppet
	install --group=puppet --owner=puppet -d /var/lib/puppet/jruby-gems
	find /var/lib/puppet -type d -name '*' -exec chmod 775 {} ';'
	find /var/lib/puppet -type f -name '*' -exec chmod 664 {} ';'
	mkdir -p /etc/puppet/manifests

install-deb-sysv-init: install-deb-preinst
	install -d -m 0755 "$(DESTDIR)$(initdir)"
	install -m 0755 ext/debian/puppetserver.init "$(DESTDIR)$(initdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(rundir)"

install-deb-preinst:
	usermod -a -G puppet puppet
	install --group=puppet --owner=puppet -d /var/lib/puppet/jruby-gems
	find /var/lib/puppet -type d -name '*' -exec chmod 775 {} ';'
	find /var/lib/puppet -type f -name '*' -exec chmod 664 {} ';'
	mkdir -p /var/run/puppet
	mkdir -p /etc/puppet/manifests

=== debian/changelog ===
puppetserver (0.2.0-1puppetlabs1) trusty; urgency=low

  * Update to version 0.2.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Sat, 20 Sep 2014 12:09:28 -0700

=== debian/control ===
Source: puppetserver
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, ruby | ruby-interpreter
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetserver
Architecture: all
Depends: ${misc:Depends}, java7-runtime-headless, adduser, puppet-common (= 3.7.1-1puppetlabs1), puppet (= 3.7.1-1puppetlabs1), openjdk-7-jre-headless
Replaces: 
Conflicts: 
Description: Puppet Labs puppetserver
 Contains: Release artifacts for puppet-server (puppet-server 0.2.0,trapperkeeper-webserver-jetty9 0.7.5)

## puppetserver 0.2.1

=== debian/changelog ===
puppetserver (0.2.1-1puppetlabs1) precise; urgency=low

  * Update to version 0.2.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 29 Sep 2014 15:28:38 -0700

=== debian/control ===
--- 
+++ 
@@ -12,4 +12,4 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Release artifacts for puppet-server (puppet-server 0.2.0,trapperkeeper-webserver-jetty9 0.7.5)
+ Contains: Release artifacts for puppet-server (puppet-server 0.2.1,trapperkeeper-webserver-jetty9 0.7.5)

## puppetserver 0.2.2

=== Makefile ===
--- 
+++ 
@@ -42,10 +42,7 @@
 	install -m 0755 ext/puppetserver.service "$(DESTDIR)$(unitdir)/puppetserver.service"
 
 install-rpm-preinst:
-	usermod -a -G puppet puppet
 	install --group=puppet --owner=puppet -d /var/lib/puppet/jruby-gems
-	find /var/lib/puppet -type d -name '*' -exec chmod 775 {} ';'
-	find /var/lib/puppet -type f -name '*' -exec chmod 664 {} ';'
 	mkdir -p /etc/puppet/manifests
 
 install-deb-sysv-init: install-deb-preinst
@@ -56,10 +53,7 @@
 	install -d -m 0755 "$(DESTDIR)$(rundir)"
 
 install-deb-preinst:
-	usermod -a -G puppet puppet
 	install --group=puppet --owner=puppet -d /var/lib/puppet/jruby-gems
-	find /var/lib/puppet -type d -name '*' -exec chmod 775 {} ';'
-	find /var/lib/puppet -type f -name '*' -exec chmod 664 {} ';'
 	mkdir -p /var/run/puppet
 	mkdir -p /etc/puppet/manifests

=== debian/control ===
--- 
+++ 
@@ -12,4 +12,4 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Release artifacts for puppet-server (puppet-server 0.2.1,trapperkeeper-webserver-jetty9 0.7.5)
+ Contains: Release artifacts for puppet-server (puppet-server 0.2.2,trapperkeeper-webserver-jetty9 0.7.5)

## puppetserver 0.3.0

=== debian/changelog ===
puppetserver (0.3.0-1puppetlabs1) precise; urgency=low

  * Update to version 0.3.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 20 Oct 2014 13:01:42 -0700

## puppetserver 0.4.0

=== Makefile ===
--- 
+++ 
@@ -15,12 +15,12 @@
 	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetserver"
 	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetserver/conf.d"
 	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/puppetserver.conf"
+	install -m 0644 ext/config/conf.d/ca.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/ca.conf"
 	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetserver/bootstrap.cfg"
 	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetserver/logback.xml"
 	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/global.conf"
 	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/webserver.conf"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"
-	install -m 0644 "ext/cli/puppetserver-env" "$(DESTDIR)$(datadir)/puppetserver/cli/puppetserver-env"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli/apps"
 	install -d -m 0755 "$(DESTDIR)$(bindir)"
 	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"

=== debian/changelog ===
puppetserver (0.4.0-1puppetlabs1) wheezy; urgency=low

  * Update to version 0.4.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 06 Nov 2014 15:26:57 -0800

=== debian/control ===
Source: puppetserver
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, ruby | ruby-interpreter
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetserver
Architecture: all
Depends: ${misc:Depends}, java7-runtime-headless, adduser, puppet-common (>= 3.7.3-1puppetlabs1), puppet (>= 3.7.3-1puppetlabs1), openjdk-7-jre-headless
Replaces: 
Conflicts: 
Description: Puppet Labs puppetserver
 Contains: Release artifacts for puppet-server (puppet-server 0.4.0,trapperkeeper-webserver-jetty9 0.9.0)

## puppetserver 1.0.0

=== debian/control ===
Source: puppetserver
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, ruby | ruby-interpreter
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetserver
Architecture: all
Depends: ${misc:Depends}, java7-runtime-headless, adduser, puppet-common (>= 3.7.3-1puppetlabs1), puppet-common (< 4.0.0-1puppetlabs1), puppet (>= 3.7.3-1puppetlabs1), puppet (< 4.0.0-1puppetlabs1), openjdk-7-jre-headless
Replaces: 
Conflicts: 
Description: Puppet Labs puppetserver
 Contains: Release artifacts for puppet-server (puppet-server 1.0.0,trapperkeeper-webserver-jetty9 0.9.0)

## puppetserver 1.0.2

=== Makefile ===
--- 
+++ 
@@ -12,19 +12,24 @@
 install-puppetserver: puppet-server-release.jar
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver"
 	install -m 0644 puppet-server-release.jar "$(DESTDIR)$(datadir)/puppetserver"
+	install -m 0774 ext/ezbake-functions.sh "$(DESTDIR)$(datadir)/puppetserver"
 	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetserver"
 	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetserver/conf.d"
 	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/puppetserver.conf"
 	install -m 0644 ext/config/conf.d/ca.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/ca.conf"
 	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetserver/bootstrap.cfg"
 	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetserver/logback.xml"
+	install -m 0644 ext/config/conf.d/web-routes.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/web-routes.conf"
 	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/global.conf"
 	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/webserver.conf"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli/apps"
 	install -d -m 0755 "$(DESTDIR)$(bindir)"
 	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"
+	install -m 0755 ext/cli/irb "$(DESTDIR)$(datadir)/puppetserver/cli/apps/irb"
 	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
+	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
+	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
 	install -d -m 0755 "$(DESTDIR)$(rundir)"

=== debian/changelog ===
puppetserver (1.0.2-1puppetlabs1) precise; urgency=low

  * Update to version 1.0.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 14 Jan 2015 12:17:12 -0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/cdbs/1/rules/debhelper.mk

SHELL := /bin/bash
BUILD_ROOT=$(CURDIR)/debian/$(cdbs_curpkg)
rubylibdir=$(shell ruby -rrbconfig -e "puts RbConfig::CONFIG['vendordir']")
DIST := $(shell lsb_release -i | awk '{print tolower($$3)}')
RELEASE := $(shell lsb_release -r | awk '{print $$2}')
export DESTDIR=$(BUILD_ROOT)
export prefix=/usr
export bindir=/usr/bin
export rubylibdir
export confdir=/etc
export datadir=$(prefix)/share
export sharedstatedir=/var/lib

export realname=puppetserver

install/puppetserver::
	make -e install-puppetserver
	echo "os-settings: {"                       > $(BUILD_ROOT)/$(confdir)/$(realname)/conf.d/os-settings.conf
	echo "    ruby-load-path: [$(rubylibdir)]"  >> $(BUILD_ROOT)/$(confdir)/$(realname)/conf.d/os-settings.conf
	echo "}"                                    >> $(BUILD_ROOT)/$(confdir)/$(realname)/conf.d/os-settings.conf
	install -d -m 0755 $(DESTDIR)/etc/logrotate.d
	if [[ ${DIST} == debian ]] ; then \
		if [[ $$(echo "${RELEASE}>=7" | bc -l) -eq 1 || ${RELEASE} == testing || ${RELEASE} == unstable ]] ; then \
			cp -p ext/puppetserver.logrotate.conf $(DESTDIR)/etc/logrotate.d/puppetserver; \
		else \
			cp -p ext/puppetserver.logrotate-legacy.conf $(DESTDIR)/etc/logrotate.d/puppetserver; \
		fi ; \
	elif [[ ${DIST} == ubuntu ]] ; then \
		if [[ $$(echo "${RELEASE}>=13.04" | bc -l) -eq 1 ]] ; then \
			cp -p ext/puppetserver.logrotate.conf $(DESTDIR)/etc/logrotate.d/puppetserver; \
		else \
			cp -p ext/puppetserver.logrotate-legacy.conf $(DESTDIR)/etc/logrotate.d/puppetserver; \
		fi ; \
	fi

## puppetserver 1.0.8

=== debian/control ===
Source: puppetserver
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, ruby | ruby-interpreter
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetserver
Architecture: all
# net-tools is required for netstat usage in service unit file
# See: https://tickets.puppetlabs.com/browse/SERVER-338
Depends: ${misc:Depends}, java7-runtime-headless, net-tools, adduser, puppet-common (>= 3.7.3-1puppetlabs1), puppet-common (< 4.0.0-1puppetlabs1), puppet (>= 3.7.3-1puppetlabs1), puppet (< 4.0.0-1puppetlabs1), openjdk-7-jre-headless
Replaces: 
Conflicts: 
Description: Puppet Labs puppetserver
 Contains: Puppet Server (puppetserver 1.0.8,trapperkeeper-webserver-jetty9 1.3.0)

## puppetserver 1.1.1

=== debian/changelog ===
puppetserver (1.1.1-1puppetlabs1) wheezy; urgency=low

  * Update to version 1.1.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 11 Jun 2015 09:21:52 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/cdbs/1/rules/debhelper.mk

SHELL := /bin/bash
BUILD_ROOT=$(CURDIR)/debian/$(cdbs_curpkg)
rubylibdir=$(shell ruby -rrbconfig -e "puts RbConfig::CONFIG['vendordir']")
DIST := $(shell lsb_release -i | awk '{print tolower($$3)}')
RELEASE := $(shell lsb_release -r | awk '{print $$2}')
export DESTDIR=$(BUILD_ROOT)
export prefix=/usr
export bindir=/usr/bin
export rubylibdir
export confdir=/etc
export datadir=$(prefix)/share
export localstatedir=/var
export sharedstatedir=/var/lib
export realname=puppetserver
export EZ_VERBOSE=1

install/puppetserver::
	bash install.sh install_deb
	if [[ ${DIST} == debian ]] ; then \
		if [[ $$(echo "${RELEASE}>=7" | bc -l) -eq 1 || ${RELEASE} == testing || ${RELEASE} == unstable ]] ; then \
			bash install.sh logrotate ; \
		else \
			bash install.sh logrotate_legacy ; \
		fi ; \
	elif [[ ${DIST} == ubuntu ]] ; then \
		if [[ $$(echo "${RELEASE}>=13.04" | bc -l) -eq 1 ]] ; then \
			bash install.sh logrotate ; \
		else \
			bash install.sh logrotate_legacy ; \
		fi ; \
	fi

## puppetserver 1.1.2

=== debian/changelog ===
puppetserver (1.1.2-1puppetlabs1) precise; urgency=low

  * Update to version 1.1.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 19 Oct 2015 12:44:40 -0700

## puppetserver 1.1.3

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,7 @@
 rundir = /var/run
 bindir = /usr/bin
 
-puppet-server-release.jar:
-	lein uberjar
-	mv target/puppet-server-release.jar puppet-server-release.jar
-
-install-puppetserver: puppet-server-release.jar
+install-puppetserver:
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver"
 	install -m 0644 puppet-server-release.jar "$(DESTDIR)$(datadir)/puppetserver"
 	install -m 0774 ext/ezbake-functions.sh "$(DESTDIR)$(datadir)/puppetserver"
@@ -17,19 +13,20 @@
 	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetserver/conf.d"
 	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/puppetserver.conf"
 	install -m 0644 ext/config/conf.d/ca.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/ca.conf"
+	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetserver/request-logging.xml"
+	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetserver/logback.xml"
 	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetserver/bootstrap.cfg"
-	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetserver/logback.xml"
+	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/global.conf"
 	install -m 0644 ext/config/conf.d/web-routes.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/web-routes.conf"
-	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/global.conf"
 	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/webserver.conf"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli/apps"
 	install -d -m 0755 "$(DESTDIR)$(bindir)"
 	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"
 	install -m 0755 ext/cli/irb "$(DESTDIR)$(datadir)/puppetserver/cli/apps/irb"
+	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
 	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
 	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
-	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
 	install -d -m 0755 "$(DESTDIR)$(rundir)"

=== debian/changelog ===
puppetserver (1.1.3-1puppetlabs1) wheezy; urgency=low

  * Update to version 1.1.3-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 07 Dec 2015 10:12:03 -0800

## puppetserver 1.2.0

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 	install -m 0774 ext/ezbake-functions.sh "$(DESTDIR)$(datadir)/puppetserver"
 	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetserver"
 	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetserver/conf.d"
+	install -m 0644 ext/config/conf.d/ca.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/ca.conf"
 	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/puppetserver.conf"
-	install -m 0644 ext/config/conf.d/ca.conf "$(DESTDIR)$(confdir)/puppetserver/conf.d/ca.conf"
 	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetserver/request-logging.xml"
 	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetserver/logback.xml"
 	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetserver/bootstrap.cfg"
@@ -24,9 +24,9 @@
 	install -d -m 0755 "$(DESTDIR)$(bindir)"
 	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"
 	install -m 0755 ext/cli/irb "$(DESTDIR)$(datadir)/puppetserver/cli/apps/irb"
+	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
 	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
 	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
-	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
 	install -d -m 0755 "$(DESTDIR)$(rundir)"

=== debian/changelog ===
puppetserver (1.2.0-1puppetlabs1) precise; urgency=low

  * Update to version 1.2.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 07 Sep 2016 13:09:46 -0700

=== debian/control ===
--- 
+++ 
@@ -14,4 +14,4 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Puppet Server (puppetserver 1.0.8,trapperkeeper-webserver-jetty9 1.3.0)
+ Contains: Puppet Server (puppetserver 1.2.0,logback-access 1.1.7,trapperkeeper-webserver-jetty9 1.3.1)

## puppetserver 2.0.0

=== Makefile ===
prefix = /usr/local
datadir = $(prefix)/share
confdir = /etc
rubylibdir = $(shell ruby -rrbconfig -e "puts RbConfig::CONFIG['sitelibdir']")
rundir = /var/run
bindir = /usr/bin

install-puppetserver:
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver"
	install -m 0644 puppet-server-release.jar "$(DESTDIR)$(datadir)/puppetserver"
	install -m 0774 ext/ezbake-functions.sh "$(DESTDIR)$(datadir)/puppetserver"
	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d"
	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/puppetserver.conf"
	install -m 0644 ext/config/conf.d/ca.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/ca.conf"
	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/request-logging.xml"
	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/logback.xml"
	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/bootstrap.cfg"
	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/global.conf"
	install -m 0644 ext/config/conf.d/web-routes.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/web-routes.conf"
	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/webserver.conf"
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli/apps"
	install -d -m 0755 "$(DESTDIR)$(bindir)"
	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"
	install -m 0755 ext/cli/irb "$(DESTDIR)$(datadir)/puppetserver/cli/apps/irb"
	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
	install -d -m 0755 "$(DESTDIR)$(rundir)"


install-rpm-sysv-init: install-rpm-preinst
	install -d -m 0755 "$(DESTDIR)$(initdir)"
	install -m 0755 ext/redhat/init "$(DESTDIR)$(initdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(rundir)"

install-rpm-systemd: install-rpm-preinst
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(unitdir)"
	install -m 0755 ext/puppetserver.service "$(DESTDIR)$(unitdir)/puppetserver.service"

install-rpm-preinst:

install-deb-sysv-init: install-deb-preinst
	install -d -m 0755 "$(DESTDIR)$(initdir)"
	install -m 0755 ext/debian/puppetserver.init "$(DESTDIR)$(initdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetserver"
	install -d -m 0755 "$(DESTDIR)$(rundir)"

install-deb-preinst:

=== debian/changelog ===
puppetserver (2.0.0-1puppetlabs1) precise; urgency=low

  * Update to version 2.0.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 07 Apr 2015 16:11:21 -0700

=== debian/control ===
Source: puppetserver
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, ruby | ruby-interpreter
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetserver
Architecture: all
# net-tools is required for netstat usage in service unit file
# See: https://tickets.puppetlabs.com/browse/SERVER-338
Depends: ${misc:Depends}, java7-runtime-headless, net-tools, adduser, puppet-agent
Replaces: 
Conflicts: 
Description: Puppet Labs puppetserver
 Contains: Puppet Server (puppetserver 2.0.0,trapperkeeper-webserver-jetty9 1.1.1)

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,18 @@
 
 SHELL := /bin/bash
 BUILD_ROOT=$(CURDIR)/debian/$(cdbs_curpkg)
-rubylibdir=$(shell ruby -rrbconfig -e "puts RbConfig::CONFIG['vendordir']")
+rubylibdir=/opt/puppetlabs/puppet/lib/ruby/vendor_ruby
 DIST := $(shell lsb_release -i | awk '{print tolower($$3)}')
 RELEASE := $(shell lsb_release -r | awk '{print $$2}')
 export DESTDIR=$(BUILD_ROOT)
 export prefix=/usr
-export bindir=/usr/bin
+export bindir=/opt/puppetlabs/server/apps/puppetserver/bin
 export rubylibdir
 export confdir=/etc
-export datadir=$(prefix)/share
+export datadir=/opt/puppetlabs/server/data/puppetserver
 export localstatedir=/var
 export sharedstatedir=/var/lib
 export realname=puppetserver
-export EZ_VERBOSE=1
 
 install/puppetserver::
 	bash install.sh install_deb

## puppetserver 2.1.0

=== debian/changelog ===
puppetserver (2.1.0-1puppetlabs1) wheezy; urgency=low

  * Update to version 2.1.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 01 Jun 2015 12:42:42 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Architecture: all
 # net-tools is required for netstat usage in service unit file
 # See: https://tickets.puppetlabs.com/browse/SERVER-338
-Depends: ${misc:Depends}, java7-runtime-headless, net-tools, adduser, puppet-agent
+Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet-agent
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Puppet Server (puppetserver 2.0.0,trapperkeeper-webserver-jetty9 1.1.1)
+ Contains: Puppet Server (puppetserver 2.1.0,trapperkeeper-webserver-jetty9 1.3.1)

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 export localstatedir=/var
 export sharedstatedir=/var/lib
 export realname=puppetserver
+export EZ_VERBOSE=1
 
 install/puppetserver::
 	bash install.sh install_deb

## puppetserver 2.1.1

=== debian/changelog ===
puppetserver (2.1.1-1puppetlabs1) trusty; urgency=low

  * Update to version 2.1.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 16 Jun 2015 18:05:17 -0700

## puppetserver 2.1.2

=== debian/changelog ===
puppetserver (2.1.2-1puppetlabs1) precise; urgency=low

  * Update to version 2.1.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 19 Oct 2015 12:48:06 -0700

## puppetserver 2.2.0

=== debian/changelog ===
puppetserver (2.2.0-1puppetlabs1) trusty; urgency=low

  * Update to version 2.2.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 18 Nov 2015 16:22:15 -0800

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Architecture: all
 # net-tools is required for netstat usage in service unit file
 # See: https://tickets.puppetlabs.com/browse/SERVER-338
-Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet-agent
+Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet-agent (>= 1.3.0)
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Puppet Server (puppetserver 2.1.0,trapperkeeper-webserver-jetty9 1.3.1)
+ Contains: Puppet Server (puppetserver 2.2.0,trapperkeeper-webserver-jetty9 1.3.1)

## puppetserver 2.2.1

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,12 @@
 	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetserver"
 	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d"
 	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/puppetserver.conf"
-	install -m 0644 ext/config/conf.d/ca.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/ca.conf"
 	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/request-logging.xml"
 	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/logback.xml"
 	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/bootstrap.cfg"
 	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/global.conf"
 	install -m 0644 ext/config/conf.d/web-routes.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/web-routes.conf"
+	install -m 0644 ext/config/conf.d/auth.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/auth.conf"
 	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/webserver.conf"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli/apps"

=== debian/changelog ===
puppetserver (2.2.1-1puppetlabs1) precise; urgency=low

  * Update to version 2.2.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 30 Nov 2015 20:36:30 -0800

## puppetserver 2.3.0

=== debian/changelog ===
puppetserver (2.3.0-1puppetlabs1) precise; urgency=low

  * Update to version 2.3.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 15 Mar 2016 22:06:35 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Architecture: all
 # net-tools is required for netstat usage in service unit file
 # See: https://tickets.puppetlabs.com/browse/SERVER-338
-Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet-agent (>= 1.3.0)
+Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet-agent (>= 1.4.0)
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Puppet Server (puppetserver 2.2.0,trapperkeeper-webserver-jetty9 1.3.1)
+ Contains: Puppet Server (clojure 1.7.0,puppetserver 2.3.0,trapperkeeper-webserver-jetty9 1.5.4)

## puppetserver 2.3.1

=== debian/changelog ===
puppetserver (2.3.1-1puppetlabs1) precise; urgency=low

  * Update to version 2.3.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 21 Mar 2016 16:17:14 -0700

## puppetserver 2.3.2

=== debian/changelog ===
puppetserver (2.3.2-1puppetlabs1) trusty; urgency=low

  * Update to version 2.3.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 26 Apr 2016 11:42:06 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Architecture: all
 # net-tools is required for netstat usage in service unit file
 # See: https://tickets.puppetlabs.com/browse/SERVER-338
-Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet-agent (>= 1.4.0)
+Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet-agent (>= 1.4.2)
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Puppet Server (clojure 1.7.0,puppetserver 2.3.0,trapperkeeper-webserver-jetty9 1.5.4)
+ Contains: Puppet Server (clojure 1.7.0,puppetserver 2.3.2,trapperkeeper-webserver-jetty9 1.5.6)

## puppetserver 2.4.0

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,9 @@
 	install -d -m 0755 "$(DESTDIR)$(bindir)"
 	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"
 	install -m 0755 ext/cli/irb "$(DESTDIR)$(datadir)/puppetserver/cli/apps/irb"
+	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
 	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
 	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
-	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
 	install -d -m 0755 "$(DESTDIR)$(rundir)"

=== debian/changelog ===
puppetserver (2.4.0-1puppetlabs1) jessie; urgency=low

  * Update to version 2.4.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 17 May 2016 07:57:37 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Architecture: all
 # net-tools is required for netstat usage in service unit file
 # See: https://tickets.puppetlabs.com/browse/SERVER-338
-Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet-agent (>= 1.4.2)
+Depends: ${misc:Depends}, openjdk-7-jre-headless | openjdk-8-jre-headless, net-tools, adduser, puppet-agent (>= 1.5.0)
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Puppet Server (clojure 1.7.0,puppetserver 2.3.2,trapperkeeper-webserver-jetty9 1.5.6)
+ Contains: Puppet Server (clojure 1.7.0,puppetserver 2.4.0,trapperkeeper-webserver-jetty9 1.5.9)

## puppetserver 2.5.0

=== debian/changelog ===
puppetserver (2.5.0-1puppetlabs1) precise; urgency=low

  * Update to version 2.5.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 11 Aug 2016 12:28:33 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Architecture: all
 # net-tools is required for netstat usage in service unit file
 # See: https://tickets.puppetlabs.com/browse/SERVER-338
-Depends: ${misc:Depends}, openjdk-7-jre-headless | openjdk-8-jre-headless, net-tools, adduser, puppet-agent (>= 1.5.0)
+Depends: ${misc:Depends}, openjdk-7-jre-headless | openjdk-8-jre-headless, net-tools, adduser, puppet-agent (>= 1.6.0)
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Puppet Server (clojure 1.7.0,puppetserver 2.4.0,trapperkeeper-webserver-jetty9 1.5.9)
+ Contains: Puppet Server (clojure 1.7.0,puppetserver 2.5.0,trapperkeeper-webserver-jetty9 1.5.9)

=== debian/rules ===
--- 
+++ 
@@ -4,17 +4,16 @@
 
 SHELL := /bin/bash
 BUILD_ROOT=$(CURDIR)/debian/$(cdbs_curpkg)
-rubylibdir=/opt/puppetlabs/puppet/lib/ruby/vendor_ruby
+export rubylibdir=/opt/puppetlabs/puppet/lib/ruby/vendor_ruby
 DIST := $(shell lsb_release -i | awk '{print tolower($$3)}')
 RELEASE := $(shell lsb_release -r | awk '{print $$2}')
+CODENAME := $(shell lsb_release -c | sed -n 's/^Codename:\s*\(.*\)$$/\1/p')
+SYSV_CODENAMES := squeeze wheezy lucid precise trusty jessie
 export DESTDIR=$(BUILD_ROOT)
-export prefix=/usr
+export prefix=/opt/puppetlabs/server/apps/puppetserver
 export bindir=/opt/puppetlabs/server/apps/puppetserver/bin
-export rubylibdir
 export confdir=/etc
 export datadir=/opt/puppetlabs/server/data/puppetserver
-export localstatedir=/var
-export sharedstatedir=/var/lib
 export realname=puppetserver
 export EZ_VERBOSE=1
 
@@ -33,4 +32,9 @@
 			bash install.sh logrotate_legacy ; \
 		fi ; \
 	fi
+	if $$(echo "${SYSV_CODENAMES}" | grep -q ${CODENAME}) ; then \
+		bash install.sh sysv_init_deb ; \
+	else \
+		bash install.sh systemd_deb ; \
+	fi

## puppetserver 2.6.0

=== Makefile ===
--- 
+++ 
@@ -14,11 +14,11 @@
 	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/puppetserver.conf"
 	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/request-logging.xml"
 	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/logback.xml"
-	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/bootstrap.cfg"
 	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/global.conf"
 	install -m 0644 ext/config/conf.d/web-routes.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/web-routes.conf"
 	install -m 0644 ext/config/conf.d/auth.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/auth.conf"
 	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/webserver.conf"
+	install -m 0644 ext/config/services.d/ca.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/services.d/ca.cfg"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli/apps"
 	install -d -m 0755 "$(DESTDIR)$(bindir)"

=== debian/changelog ===
puppetserver (2.6.0-1puppetlabs1) wheezy; urgency=low

  * Update to version 2.6.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 07 Sep 2016 13:27:33 -0700

## puppetserver 2.7.0

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,12 @@
 	install -d -m 0755 "$(DESTDIR)$(bindir)"
 	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"
 	install -m 0755 ext/cli/irb "$(DESTDIR)$(datadir)/puppetserver/cli/apps/irb"
+	install -m 0755 ext/cli/start "$(DESTDIR)$(datadir)/puppetserver/cli/apps/start"
 	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
+	install -m 0755 ext/cli/reload "$(DESTDIR)$(datadir)/puppetserver/cli/apps/reload"
 	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
 	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
+	install -m 0755 ext/cli/stop "$(DESTDIR)$(datadir)/puppetserver/cli/apps/stop"
 	install -d -m 0755 "$(DESTDIR)$(rundir)"

=== debian/changelog ===
puppetserver (2.7.0-1puppetlabs1) trusty; urgency=low

  * Update to version 2.7.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 08 Nov 2016 10:46:51 -0800

## puppetserver 2.7.1

=== Makefile ===
--- 
+++ 
@@ -11,25 +11,25 @@
 	install -m 0774 ext/ezbake-functions.sh "$(DESTDIR)$(datadir)/puppetserver"
 	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetserver"
 	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d"
+	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/request-logging.xml"
 	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/puppetserver.conf"
-	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/request-logging.xml"
 	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/logback.xml"
+	install -m 0644 ext/config/services.d/ca.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/services.d/ca.cfg"
 	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/global.conf"
 	install -m 0644 ext/config/conf.d/web-routes.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/web-routes.conf"
 	install -m 0644 ext/config/conf.d/auth.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/auth.conf"
 	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/webserver.conf"
-	install -m 0644 ext/config/services.d/ca.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/services.d/ca.cfg"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli/apps"
 	install -d -m 0755 "$(DESTDIR)$(bindir)"
 	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"
+	install -m 0755 ext/cli/stop "$(DESTDIR)$(datadir)/puppetserver/cli/apps/stop"
 	install -m 0755 ext/cli/irb "$(DESTDIR)$(datadir)/puppetserver/cli/apps/irb"
+	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
 	install -m 0755 ext/cli/start "$(DESTDIR)$(datadir)/puppetserver/cli/apps/start"
-	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
+	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
 	install -m 0755 ext/cli/reload "$(DESTDIR)$(datadir)/puppetserver/cli/apps/reload"
-	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
 	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
-	install -m 0755 ext/cli/stop "$(DESTDIR)$(datadir)/puppetserver/cli/apps/stop"
 	install -d -m 0755 "$(DESTDIR)$(rundir)"

=== debian/changelog ===
puppetserver (2.7.1-1puppetlabs1) wily; urgency=low

  * Update to version 2.7.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 17 Nov 2016 13:02:32 -0800

## puppetserver 2.7.2

=== Makefile ===
--- 
+++ 
@@ -11,25 +11,25 @@
 	install -m 0774 ext/ezbake-functions.sh "$(DESTDIR)$(datadir)/puppetserver"
 	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetserver"
 	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d"
+	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/puppetserver.conf"
 	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/request-logging.xml"
-	install -m 0644 ext/config/conf.d/puppetserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/puppetserver.conf"
 	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/logback.xml"
-	install -m 0644 ext/config/services.d/ca.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/services.d/ca.cfg"
 	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/global.conf"
 	install -m 0644 ext/config/conf.d/web-routes.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/web-routes.conf"
 	install -m 0644 ext/config/conf.d/auth.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/auth.conf"
 	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/webserver.conf"
+	install -m 0644 ext/config/services.d/ca.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/services.d/ca.cfg"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli/apps"
 	install -d -m 0755 "$(DESTDIR)$(bindir)"
 	install -m 0755 "ext/bin/puppetserver" "$(DESTDIR)$(bindir)/puppetserver"
+	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
+	install -m 0755 ext/cli/reload "$(DESTDIR)$(datadir)/puppetserver/cli/apps/reload"
 	install -m 0755 ext/cli/stop "$(DESTDIR)$(datadir)/puppetserver/cli/apps/stop"
+	install -m 0755 ext/cli/start "$(DESTDIR)$(datadir)/puppetserver/cli/apps/start"
+	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
 	install -m 0755 ext/cli/irb "$(DESTDIR)$(datadir)/puppetserver/cli/apps/irb"
 	install -m 0755 ext/cli/ruby "$(DESTDIR)$(datadir)/puppetserver/cli/apps/ruby"
-	install -m 0755 ext/cli/start "$(DESTDIR)$(datadir)/puppetserver/cli/apps/start"
-	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetserver/cli/apps/foreground"
-	install -m 0755 ext/cli/reload "$(DESTDIR)$(datadir)/puppetserver/cli/apps/reload"
-	install -m 0755 ext/cli/gem "$(DESTDIR)$(datadir)/puppetserver/cli/apps/gem"
 	install -d -m 0755 "$(DESTDIR)$(rundir)"

=== debian/changelog ===
puppetserver (2.7.2-1puppetlabs1) trusty; urgency=low

  * Update to version 2.7.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 05 Dec 2016 13:18:48 -0800

## puppetserver 2.8.0

=== debian/changelog ===
puppetserver (2.8.0-1puppetlabs1) wheezy; urgency=low

  * Update to version 2.8.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 29 Aug 2017 11:44:45 -0700

=== debian/control ===
Source: puppetserver
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, ruby | ruby-interpreter, openjdk-7-jre-headless | openjdk-8-jre-headless
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetserver
Architecture: all
# net-tools is required for netstat usage in service unit file
# See: https://tickets.puppetlabs.com/browse/SERVER-338
# procps is required for pgrep, used in several of the init scripts
Depends: ${misc:Depends}, openjdk-7-jre-headless | openjdk-8-jre-headless, net-tools, adduser, procps, puppet-agent (>= 1.6.0)
Replaces: 
Conflicts: 
Description: Puppet Labs puppetserver
 Contains: Puppet Server (clojure 1.8.0,puppetserver 2.8.0,trapperkeeper-webserver-jetty9 1.8.1)

## puppetserver 5.0.0

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	install -m 0644 ext/config/conf.d/global.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/global.conf"
 	install -m 0644 ext/config/conf.d/web-routes.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/web-routes.conf"
 	install -m 0644 ext/config/conf.d/auth.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/auth.conf"
+	install -m 0644 ext/config/conf.d/metrics.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/metrics.conf"
 	install -m 0644 ext/config/conf.d/webserver.conf "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/conf.d/webserver.conf"
 	install -m 0644 ext/config/services.d/ca.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetserver/services.d/ca.cfg"
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetserver/cli"

=== debian/changelog ===
puppetserver (5.0.0-1puppetlabs1) xenial; urgency=low

  * Update to version 5.0.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 23 Jun 2017 13:43:08 -0700

=== debian/control ===
Source: puppetserver
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, ruby | ruby-interpreter, openjdk-8-jre-headless
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetserver
Architecture: all
# net-tools is required for netstat usage in service unit file
# See: https://tickets.puppetlabs.com/browse/SERVER-338
# procps is required for pgrep, used in several of the init scripts
Depends: ${misc:Depends}, openjdk-8-jre-headless, net-tools, adduser, procps, puppet-agent (>= 4.99.0)
Replaces: 
Conflicts: 
Description: Puppet Labs puppetserver
 Contains: Puppet Server (puppetlabs/puppetserver 5.0.0,org.clojure/clojure 1.8.0,puppetlabs/puppetserver 5.0.0,puppetlabs/trapperkeeper-webserver-jetty9 2.0.1)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/cdbs/1/rules/debhelper.mk

SHELL := /bin/bash
BUILD_ROOT=$(CURDIR)/debian/$(cdbs_curpkg)
export rubylibdir=/opt/puppetlabs/puppet/lib/ruby/vendor_ruby
DIST := $(shell lsb_release -i | awk '{print tolower($$3)}')
RELEASE := $(shell lsb_release -r | awk '{print $$2}')
CODENAME := $(shell lsb_release -c | sed -n 's/^Codename:\s*\(.*\)$$/\1/p')
SYSV_CODENAMES := squeeze wheezy lucid precise trusty
export DESTDIR=$(BUILD_ROOT)
export prefix=/opt/puppetlabs/server/apps/puppetserver
export bindir=/opt/puppetlabs/server/apps/puppetserver/bin
export confdir=/etc
export datadir=/opt/puppetlabs/server/data/puppetserver
export realname=puppetserver
export EZ_VERBOSE=1

install/puppetserver::
	bash install.sh install_deb
	if $$(echo "${SYSV_CODENAMES}" | grep -q ${CODENAME}) ; then \
		bash install.sh sysv_init_deb ; \
	else \
		bash install.sh systemd_deb ; \
	fi

## puppetserver 5.1.0

=== debian/changelog ===
puppetserver (5.1.0-1puppetlabs1) jessie; urgency=low

  * Update to version 5.1.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 11 Sep 2017 11:41:15 -0700

=== debian/control ===
--- 
+++ 
@@ -15,4 +15,4 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetserver
- Contains: Puppet Server (puppetlabs/puppetserver 5.0.0,org.clojure/clojure 1.8.0,puppetlabs/puppetserver 5.0.0,puppetlabs/trapperkeeper-webserver-jetty9 2.0.1)
+ Contains: Puppet Server (puppetlabs/puppetserver 5.1.0,org.clojure/clojure 1.8.0,puppetlabs/puppetserver 5.1.0,puppetlabs/trapperkeeper-webserver-jetty9 2.1.0)
